package dao

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
)

type HappyOrchardUserSeedRecordDao interface {
	GetHappyOrchardUserSeedRecord(id int) (m *models.HappyOrchardUserSeedRecord, err error)
	FindHappyOrchardUserSeedRecordByUid(uid int) (mm *[]models.HappyOrchardUserSeedRecord, err error)
	GetHappyOrchardUserSeedRecordByUidWithState(uid, state int) (m *models.HappyOrchardUserSeedRecord, err error)
	GetHappyOrchardUserSeedRecordByUidWithStateAndId(uid, id, state int) (m *models.HappyOrchardUserSeedRecord, err error)
	FindHappyOrchardUserSeedRecordAll(uid, start, limit int) (mm *[]models.HappyOrchardUserSeedRecord, err error)
	UpdateHappyOrchardUserSeedRecord(m *models.HappyOrchardUserSeedRecord, forceColums ...string) (int64, error)
}
