package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

type happyOrchardSignDayDb struct {
	Db   *xorm.Engine
	Sess *xorm.Session
}

func NewHappyOrchardSignDayDb(engine *xorm.Engine) dao.HappyOrchardSignDayDao {
	return &happyOrchardSignDayDb{Db: engine}
}
func NewHappyOrchardSignDaySess(sess *xorm.Session) dao.HappyOrchardSignDayDao {
	return &happyOrchardSignDayDb{Sess: sess}
}
func (h happyOrchardSignDayDb) GetHappyOrchardSignDaySess(uid int) (m *models.HappyOrchardSignDay, err error) {
	m = new(models.HappyOrchardSignDay)
	has, err := h.Sess.Where("uid =?", uid).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (h happyOrchardSignDayDb) GetHappyOrchardSignDay(uid int) (m *models.HappyOrchardSignDay, err error) {
	m = new(models.HappyOrchardSignDay)
	has, err := h.Db.Where("uid =?", uid).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
